// Imports
@use "variables" as var;

// Actual Styling
:host {
  width: 100%;
  --text-spacing: 0 0 2rem;
}

.mobile-only {
  display: block;

  @media (min-width: var.$breakpoint-desktop) {
    display: none;
  }

  #validate-location-button {
    margin-top: 32px;
  }

  #location-hint {
    color: var(--light-text-default-grey, #3a3a3a);
    font-size: 12px;
    font-style: italic;
    line-height: 20px;
    margin-top: var.$default-margin;
  }
}

.desktop-only {
  display: none;

  @media (min-width: var.$breakpoint-desktop) {
    display: block;
  }
}

#form-instruction {
  margin: 32px 0 8px;
}

.mandatory-fields {
  color: var(--light-text-mention-grey, #666);
  margin-bottom: 32px;
}

dsfr-checkbox,
dsfr-input {
  display: block;
  margin-bottom: 32px;
}

fieldset {
  border: 0;
  padding: 0;

  legend {
    color: var(--light-text-title-grey, #161616);
    margin-bottom: 8px;
    font-weight: bold;
  }

  p {
    margin-bottom: 8px;

    &:last-of-type {
      margin-bottom: 32px;
    }
  }

  .optional-fields {
    color: var(--light-text-mention-grey, #666);
  }
}

dsfr-button {
  --dsfr-button-width: 100%;

  @media (min-width: var.$breakpoint-desktop) {
    --dsfr-button-width: unset;
  }
}

.buttons {
  margin-bottom: var.$default-margin;

  .ordered-buttons {
    display: flex;
    flex-direction: column-reverse;

    @media (min-width: var.$breakpoint-desktop) {
      flex-direction: row;
      justify-content: space-between;
    }
  }

  dsfr-button {
    margin-bottom: var.$default-margin;
  }

  hr {
    margin: var.$default-margin 0 32px;
    padding: 0;
    height: 1px;
  }
}
